<template>
    <!-- 弹出框表单 -->
    <el-drawer
            :title="title"
            :visible.sync="open"
            :direction="direction"
            size="50%">
        <el-form ref="form" :model="form" :rules="rules" label-width="120px" style="padding:20px">
            <el-row>
                <Field v-if="from == 'job'" label="分组" prop="groupId" v-model="form.groupId" 
                :enumData="dict.group" type="select" placeholder="请选择分组"/>

                <Field label="分组名称" prop="groupName" v-model="form.groupName" placeholder="请输入分组名称" :maxLength="10" v-if="from == 'group'"/>

                <Field label="职位编码" prop="jobCode" :maxLength="10" v-model="form.jobCode" placeholder="请输入职位编码" v-if="from == 'job'"/>
                <Field label="职位名称" prop="jobName" :maxLength="10" v-model="form.jobName" placeholder="请输入职位名称" v-if="from == 'job'" />

                <Field label="类型" disabled prop="type" v-model="form.type" type="select" :enumData="dict.type" placeholder="请选择类型"/>
                <Field label="备注" prop="remark" :maxLength="50" v-model="form.remark" type="textarea" placeholder="请输入备注"/>
            </el-row>
            <form-buttons @submit='submitForm' noCancelBtn />
        </el-form>

    </el-drawer>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    export default {
        name: "JobDetail",
        mixins: [form],
        components: {

        },
        created() {
            this.changePath("job")
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "职位信息",
                // 是否显示弹出层
                open: false,
                direction:"rtl",
                toString:[
                ],
                toDate:[
                ],
                // 表单校验
                rules: {
                },
                from:''
            };
        },

        methods: {
            /** 编辑 */
            edit(from,row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="job/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.from = from

                this.title = from === 'group'?"修改分组信息":'修改职位信息';
            },
            /** 新增 */
            add(row) {
                console.log(row,'添加')
                this.from = row
                this.title = row === 'group'?"新增分组信息":'新增职位信息';
                this.reset()
                this.urls.currUrl = "job/add";
                this.getData();
                this.pageInfo.type="add"
                
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="job/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "职位信息详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {

                // 固定新增类型
                if(this.from == 'group'){
                    this.form.type = '1'
                }else{
                    this.form.type = '2'
                }
                this.open = true;
            },
            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    groupId : null,
                    groupName : "",
                    jobCode : "",
                    jobName : "",
                    remark : "",
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
